## Copyfile

### Deprecated

This task has been deprecated. Use the Copy task instead.

### Description

Copies a file from the source to the destination. The file is only copied if the source file is newer than the destination file, or when the destination file does not exist.

### Parameters

Attribute | Description | Required
src | the filename of the file to copy. | Yes
dest | the filename of the file where to copy to. | Yes
filtering | indicates whether token filtering should take place during the copy | No
forceoverwrite | overwrite existing files even if the destination files are newer (default is false). | No

### Examples

> `<copyfile src="test.java" dest="subdir/test.java"/>`

> `<copyfile src="${src}/index.html" dest="${dist}/help/index.html"/>`